class Comment < ApplicationRecord
  has_many :comments, as: :commentable
  belongs_to :user, optional: true
  belongs_to :commentable, polymorphic: true

  include PublicActivity::Model
  
  def deleted?
    user.nil?
  end

  def destroy
    update(user: nil, content: nil)
  end

  def parent_post
    return commentable if returnables.include?(commentable.class)

    returnable_parent(commentable)
  end

  # POST > Comment > Comment
  private

  def returnable_parent(parent)
    return parent if returnables.include?(parent.class)
    returnable_parent(parent.commentable)
  end

  def returnables
    [Post]
  end
end
