Rails.application.routes.draw do
  resources :posts, except: :index do
    resources :comments, only: [:new, :create, :destroy], module: :posts
  end
  resources :comments, only: [] do
    resources :comments, only: [:new, :create, :destroy], module: :comments
  end

  resources :friendships, only: [:new, :create, :destroy]
  devise_for :users
  
  resources :users, only: [] do
    resources :posts, only: :index
  end
  
  authenticated :user do
    root 'dashboard#index', as: :authenticated_root
  end
  root 'welcome#index'
end
